# $Revision: 1.15 $, $Date: 2005/11/18 23:04:42 $
%define		zope_subname	CMFContentPanels
#%%define		sub_ver RC1
Summary:	A CMF/Plone portlets product
Summary(pl):	Produkt dla CMF/Plone pozwalajcy na manipulacje panelami portalu
Name:		Zope-%{zope_subname}
Version:	2.0
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://plone.org/products/cmfcontentpanels/releases/%{version}/contentpanels-2_0.tgz
# Source0-md5:	95e2e17255faca6f1122fc64723074b2
URL:		http://www.zopechina.com/products-en/CMFContentPanels/
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
Requires:	Zope-CMF
Requires:	Zope-CMFPlone
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	CMF
Conflicts:	Plone

%description
A CMF/Plone portlets product.

%description -l pl
Produkt dla CMF/Plone pozwalajcy na manipulacje panelami portalu.

%prep
%setup -q -n %{zope_subname}

find . -type d -name .svn | xargs rm -rf
find . -type d -name CVS | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,i18n,skins,*.py,*.gif,version.txt,refresh.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc HISTORY.txt SUPPORT_WIKI.txt README.txt INSTALL.txt TODO.txt CREDIT.txt FAQ.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-CMFContentPanels.spec,v $
Revision 1.15  2005/11/18 23:04:42  ciesiel
- upgraded to version 2.0

Revision 1.14  2005/07/12 15:09:29  ciesiel
- Upgraded to version 1.9.1

Revision 1.13  2005/04/27 18:24:10  ciesiel
- upgraded to version 1.8.3

Revision 1.12  2005/01/23 18:20:06  ciesiel
- upgraded to version 1.8

Revision 1.11  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.10  2005/01/12 21:11:05  ciesiel
- added BR: python

Revision 1.9  2004/12/27 14:15:50  saq
- release 2 for rebuild with python 2.4

Revision 1.8  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.7  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/06/30 14:17:53  ciesiel
- upgraded to version 1.7.1

Revision 1.5  2004/06/11 14:12:08  ciesiel
- upgraded to version 1.7

Revision 1.4  2004/03/25 11:30:40  ciesiel
- upgraded to version 1.6RC1

Revision 1.3  2004/02/15 17:36:55  ciesiel
- upgraded to version 1.5

Revision 1.2  2003/12/17 08:14:03  ciesiel
- upgraded to 1.2.1 version

Revision 1.1  2003/12/14 21:58:23  ciesiel
- initial release
